﻿@using Microsoft.AspNetCore.Identity
@using ThirdMVCAppMy.DAL.Entities
@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager
@model IEnumerable<ThirdMVCAppMy.Models.Restaurant.RestaurantModel>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Рестораны</h1>

<p>
    @if (SignInManager.IsSignedIn(User))
    {
        <a asp-action="CreateRestaurant">Create New</a>
    }
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    <a asp-controller="Dish" asp-action="Index" asp-route-id="@item.Id">
                        @Html.DisplayFor(modelItem => item.Name)
                    </a>
                </td>
                <td>
                    <a asp-controller="Dish" asp-action="Index" asp-route-id="@item.Id">
                        @Html.DisplayFor(modelItem => item.Description)
                    </a>
                </td>
                <td></td>
            </tr>
        }
    </tbody>
</table>
